#!/bin/sh
path=$1
name=$2
msg () {
  echo "run.sh: $*"
}
msg "path:     $path"
msg "name:     $name"
msg "start:    `date`"

polys=${name}.input
pac=${name}.proof
spec=${name}.target

polysi=${name}_no_index.input
paci=${name}_no_index.proof
speci=${name}_no_index.target

# certify aig ----------------------------------------------------------

  amulet/amulet -certify $path $polys $pac $spec

# certify aig no index------------------------------------------------------

  amulet_[21]/amulet -certify $path $polysi $paci $speci


msg "end:      `date`"
